Bug 851689 - (mingw-libgsf) Review Request: mingw-libgsf - Library for reading and writing structured files
Review Request: mingw-libgsf - Library for reading and writing structured files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 13:35 EDT by greg.hellings
Modified: 2012-12-07 23:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 22:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2012-08-24 13:35:15 EDT
Spec URL: http://dl.thehellings.com/mingw32/libgsf/mingw-libgsf.spec
SRPM URL: http://dl.thehellings.com/mingw32/libgsf/mingw-libgsf-1.14.23-1.fc17.src.rpm
Description: MinGW Windows port of the library for reading and writing structured files.
Fedora Account System Username: greghellings

I have built this and other dependent libraries over on OBS at https://build.opensuse.org/package/show?package=mingw-gsf&project=home%3Agreg_hellings%3Afedora-mingw
Comment 1 greg.hellings 2012-11-20 15:06:29 EST
I've updated the spec file with knowledge garnered from my other review and also updated to the newest upstream release (1.14.25). Spec URL remains the same, SRPM is now

http://dl.thehellings.com/mingw32/libgsf/mingw-libgsf-1.14.25-1.fc17.src.rpm
Comment 2 Michael Cronenworth 2012-11-27 20:33:46 EST
Taking for review.
Comment 3 Michael Cronenworth 2012-11-27 21:38:49 EST
$ rpmlint mingw-libgsf.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ~/Downloads/mingw-libgsf-1.14.25-1.fc17.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpm -qp --requires ~/rpmbuild/RPMS/noarch/mingw32-libgsf-1.14.25-1.fc17.noarch.rpm
mingw32(kernel32.dll)  
mingw32(libbz2-1.dll)  
mingw32(libgdk_pixbuf-2.0-0.dll)  
mingw32(libgio-2.0-0.dll)  
mingw32(libglib-2.0-0.dll)  
mingw32(libgobject-2.0-0.dll)  
mingw32(libgsf-1-114.dll)  
mingw32(libintl-8.dll)  
mingw32(libxml2-2.dll)  
mingw32(msvcrt.dll)  
mingw32(zlib1.dll)  
mingw32-crt  
mingw32-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qp --provides ~/rpmbuild/RPMS/noarch/mingw32-libgsf-1.14.25-1.fc17.noarch.rpm
mingw32(libgsf-1-114.dll)  
mingw32(libgsf-win32-1-114.dll)  
mingw32-libgsf = 1.14.25-1.fc17

$ md5sum Downloads/libgsf-1.14.25.tar.xz 
a66a2c6fc327bc62bebe3f988c4f45f3  Downloads/libgsf-1.14.25.tar.xz
[michael@melchior ~]$ md5sum rpmbuild/SOURCES/libgsf-1.14.25.tar.xz 
a66a2c6fc327bc62bebe3f988c4f45f3  rpmbuild/SOURCES/libgsf-1.14.25.tar.xz


+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-w64-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones
[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[/] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Good job.

APPROVED
Comment 4 greg.hellings 2012-11-28 14:31:12 EST
Thank you, Michael.

New Package SCM Request
=======================
Package Name: mingw-libgsf
Short Description: MinGW build of structured file editing library
Owners: greghellings
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-11-28 14:35:42 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-11-28 15:28:01 EST
mingw-libgsf-1.14.25-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-libgsf-1.14.25-1.fc17
Comment 7 Fedora Update System 2012-11-28 15:29:31 EST
mingw-libgsf-1.14.25-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-libgsf-1.14.25-1.fc18
Comment 8 Fedora Update System 2012-11-28 22:58:45 EST
mingw-libgsf-1.14.25-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-12-06 22:29:41 EST
mingw-libgsf-1.14.25-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-12-07 23:34:47 EST
mingw-libgsf-1.14.25-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.